You are not logged in.

#1 2012-09-28 08:36:24

0x29a
Member
Registered: 2012-09-28
Posts: 101

[SOLVED]ERROR: Temporary directory /tmp is not executable

Hello everyone!

I'm trying to update nvidia-ck package and it spits on me with this message:

ERROR: Temporary directory /tmp is not executable - use the  --tmpdir option to specify a different one.

What does it mean? I've been googling a lot but I haven't found anything useful at all... Only source code with this error, in fact big_smile  [yeah, I know, sound oxymoronic, but I'm not programmer-kind-of-guy, just a (l)user one ;-) ]

Thank You in advance, fellow Arch users ! ;-)

Last edited by 0x29a (2012-10-02 10:05:18)

Offline

#2 2012-09-28 09:07:20

DSpider
Member
From: Romania
Registered: 2009-08-23
Posts: 2,273

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Hi, and welcome to the forum.

Check your fstab. You probably have "noexec" on the tmpfs entry, or you don't have a tmpfs entry at all. You probably installed Arch Linux recently (somewhere between "14:54, 6 September 2012" and "06:15, 17 September 2012", according to the Beginners' Guide history log) and followed the version where it said to run "genfstab -p /mnt > /mnt/etc/fstab" (only one ">" instead of two ">>"). My bad... Sorry about that. See the fstab wiki page for examples.


And please mark the thread as solved (by editing the first post), so that other people (including yourself sometimes) may find useful when they search for any of these keywords.

Thank you.

Last edited by DSpider (2012-09-28 09:07:45)


"How to Succeed with Linux"

I have made a personal commitment not to reply in topics that start with a lowercase letter. Proper grammar and punctuation is a sign of respect, and if you do not show any, you will NOT receive any help (at least not from me).

Offline

#3 2012-09-28 09:49:19

0x29a
Member
Registered: 2012-09-28
Posts: 101

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Thank You for reply. Here's Your suspect:

#
# /etc/fstab: static file system information
#
# <file system> <dir>   <type>  <options>       <dump>  <pass>
tmpfs           /tmp    tmpfs   nodev,nosuid    0       0


# UUID=68950c22-05d9-46f9-b8d6-f247fcc3c04b
/dev/md2                /               ext4            rw,relatime,stripe=256,data=ordered     0 1

# UUID=165e4263-dbcf-4c3d-a872-d60c18673140
/dev/sda1               /boot           ext2            rw,relatime     0 2

# UUID=fd55865a-cad2-4c76-8106-3410136cbc41
/dev/md3                /home           xfs             rw,relatime,attr2,sunit=1024,swidth=2048,noquota        0 2

# UUID=b7528972-1be4-4f59-a4e7-31817a0c37a1
/dev/md1                none            swap            defaults        0 0

/etc/fstab seems to be fine sad Besides, my installation is fairly mature [~2y], so it's probably not an issue here sad



bump: I've noticed that only that certain package gives me that problem. Here's a code from NVIDIA-Linux-x86_64-304.51-no-compat32.run ::

# Check that the tmp directory is executable
# Make path absolute if not already
if ! echo "$TMPROOT" | grep -q "^/"; then
    TMPROOT=`pwd`/"$TMPROOT";
fi

if [ ! -d "$TMPROOT" ]; then
    mkdir -p "$TMPROOT" || {
        echo "Unable to create temp directory $TMPROOT"
        exit 1
    }
fi

TMPDIR="$TMPROOT"
TMPFILE=`mktemp "$TMPDIR/makeself.XXXXXXXX" 2> /dev/null`

if [ "a$TMPFILE" = "a" ]; then
    echo "Unable to create temporary file in $TMPDIR"
    exit 1
fi

chmod +x "$TMPFILE"

# Try to execute, see what happens
"$TMPFILE" > /dev/null 2>&1 || {
    echo "ERROR: Temporary directory $TMPDIR is not executable - use the " \
         "--tmpdir option to specify a different one."
    rm "$TMPFILE"
    exit 1;
}

rm "$TMPFILE"

I would be very thankful if someone could be so kind and explained this stuff for me in an, preferably, shovelological way ...

Thanks in advance!

Last edited by 0x29a (2012-10-01 09:49:24)

Offline

#4 2012-10-01 07:56:54

0x29a
Member
Registered: 2012-09-28
Posts: 101

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Hope I won't get banned for bumping, because topic sinked somewhere far away.... smile

Offline

#5 2012-10-01 08:05:29

DSpider
Member
From: Romania
Registered: 2009-08-23
Posts: 2,273

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

See: https://wiki.archlinux.org/index.php/Fo … te#Bumping

What else did you try? Did you google the exact error? Are you really getting that exact error, or did you try your best to translate it into English from whatever language is set? Please don't. Chances are slim that you'll get it exactly right, and Google isn't a semantic search engine; you need exact keywords.

Post the output of:

$ ls -l /tmp

Please use [ code ] tags when posting code. It's easier to read this way. Edit post #3 to reflect this.

https://wiki.archlinux.org/index.php/Fo … s_and_Code

Last edited by DSpider (2012-10-01 08:25:34)


"How to Succeed with Linux"

I have made a personal commitment not to reply in topics that start with a lowercase letter. Proper grammar and punctuation is a sign of respect, and if you do not show any, you will NOT receive any help (at least not from me).

Offline

#6 2012-10-01 09:51:48

0x29a
Member
Registered: 2012-09-28
Posts: 101

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Yep. It's exact error [ I've posted code containing an error above ]

>>>  ls -l /tmp
total 4
drwx------ 2 artur users  40 10-01 11:42 plugtmp
drwx------ 2 artur users  40 10-01 09:19 pulse-FfYFKfGpLYoe
-rw------- 1 artur users 144 10-01 09:17 serverauth.vZChjY8cnU

And here is what uncle google told me...

Last edited by 0x29a (2012-10-01 09:56:27)

Offline

#7 2012-10-01 11:28:17

DSpider
Member
From: Romania
Registered: 2009-08-23
Posts: 2,273

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Oh, I forgot that I have an alias for "ls" in /etc/bash.bashrc:

alias ls='ls --all --color=auto --group-directories-first'

Try "ls -la /tmp".

I'm interested in the first entry (i.e. "." -- the folder itself). It should look like:

$ ls -la /tmp
total some_number
drwxrwxrwt 16 root    root    460 Oct  1 14:18 .
drwxr-xr-x 21 root    root   4096 Sep  3 23:45 ..
...

PS: Like I said, you didn't translate the error into English, did you?

Last edited by DSpider (2012-10-01 11:28:59)


"How to Succeed with Linux"

I have made a personal commitment not to reply in topics that start with a lowercase letter. Proper grammar and punctuation is a sign of respect, and if you do not show any, you will NOT receive any help (at least not from me).

Offline

#8 2012-10-01 11:31:47

DSpider
Member
From: Romania
Registered: 2009-08-23
Posts: 2,273

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Wait a minute... It became obvious once you added code tags. That error is from "NVIDIA-Linux-x86_64-304.51-no-compat32.run" ? wut?

Dude, if you want to use Nvidia proprietary drivers, see the Nvidia wiki page.


"How to Succeed with Linux"

I have made a personal commitment not to reply in topics that start with a lowercase letter. Proper grammar and punctuation is a sign of respect, and if you do not show any, you will NOT receive any help (at least not from me).

Offline

#9 2012-10-01 13:50:43

0x29a
Member
Registered: 2012-09-28
Posts: 101

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

PS: Like I said, you didn't translate the error into English, did you?

# Try to execute, see what happens
"$TMPFILE" > /dev/null 2>&1 || {
    echo "ERROR: Temporary directory $TMPDIR is not executable - use the " \
         "--tmpdir option to specify a different one."
    rm "$TMPFILE"
    exit 1; 

Yep. It's exact error [ I've posted code containing an error above ]

 
__________________________________________________________________________________


Dude, if you want to use Nvidia proprietary drivers, see the Nvidia wiki page.

How will it help? i'm sorry, but I've really difficult time with trying to figure it out on my own... For what should I look over there?


And I've been using these drivers for a long time, problem started about week ago, or so, when I  tried to update them to newer version...

>>> ls -la /tmp
total 12
drwxrwxrwt  8 root  root   200 10-01 15:41 .
drwxr-xr-x 20 root  root  4096 08-18 19:23 ..
drwxrwxrwt  2 root  root    40 10-01 15:16 .font-unix
drwxrwxrwt  2 root  root    40 10-01 15:16 .ICE-unix
drwx------  2 artur users   40 10-01 15:17 pulse-PKdhtXMmr18n
-rw-------  1 artur users  144 10-01 15:41 serverauth.hblU9fugLJ
drwxrwxrwt  2 root  root    40 10-01 15:16 .Test-unix
-r--r--r--  1 root  users   11 10-01 15:41 .X0-lock
drwxrwxrwt  2 root  root    60 10-01 15:41 .X11-unix
drwxrwxrwt  2 root  root    40 10-01 15:16 .XIM-unix

Last edited by 0x29a (2012-10-01 14:06:59)

Offline

#10 2012-10-02 10:05:04

0x29a
Member
Registered: 2012-09-28
Posts: 101

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

Heh... It's strange that my aurget cant get it done. I've downloaded bin from http://repo-ck.com/ and it works like a charm, but still; strange aurget my aurget, very strange, yes... ;-)

marking as solved

Offline

#11 2012-10-02 13:49:24

DSpider
Member
From: Romania
Registered: 2009-08-23
Posts: 2,273

Re: [SOLVED]ERROR: Temporary directory /tmp is not executable

AUR helpers are not officially supported in Arch Linux.

https://wiki.archlinux.org/index.php/AUR_Helpers

Use makepkg.


"How to Succeed with Linux"

I have made a personal commitment not to reply in topics that start with a lowercase letter. Proper grammar and punctuation is a sign of respect, and if you do not show any, you will NOT receive any help (at least not from me).

Offline

Board footer

Powered by FluxBB